<header 
    class="w-full"
    fxLayout="row"
    fxFlex>
    <div
        fxLayout="column" 
        fxFlex>
        <span>Steelwing Ravens</span>
    </div>
    <div
        fxLayoutAlign="center center" 
        fxFlex="33">
        <div 
            *ngIf="_authService.isUserSignedIn()"
            class="h-full logged-out"
            fxLayout="row"
            fxLayoutAlign="space-around center"
            fxFlex="100">
            <button 
                nz-button
                class="sign-up bg-custom-black"
                nzType="primary"
                [nzSize]="large"
                (click)="signUp()">
                Sign up
            </button>
            <button 
                nz-button
                class="sign-in bg-custom-black"
                nzType="primary"
                [nzSize]="large"
                (click)="signIn()">
                Sign in
            </button>
        </div>
        <div 
            *ngIf="!_authService.isUserSignedIn()"
            class="h-full logged-in"
            fxLayout="row"
            fxLayoutAlign="end center">
            <button 
                nz-button 
                nz-dropdown 
                class="account-button bg-custom-black"
                [nzDropdownMenu]="menu"
                [nzTrigger]="'hover'">
                <nz-avatar
                    class=""
                    nzIcon="mdi:account"
                    nzSize="small">
                </nz-avatar>
                <span>
                    XLGamerAddict
                </span>
            </button>
            <nz-dropdown-menu #menu="nzDropdownMenu">
                <ul 
                    nz-menu
                    class="dropdown-menu">
                    <li 
                        nz-menu-item
                        class="menu-buttons"
                        [routerLink]="'/profile'"
                        fxLayout="row"
                        fxLayoutAlign="start center">
                        <i 
                            nz-icon
                            class="menu-icons"
                            nzType="mdi:account-card-details">
                        </i>
                        <span class="menu-titles">Profile</span>
                    </li>
                    <li 
                        nz-menu-item
                        class="menu-buttons"
                        [routerLink]="'/settings'">
                        <i 
                            nz-icon 
                            class="menu-icons"
                            nzType="mdi:settings">
                        </i>
                        <span class="menu-titles">Settings</span>
                    </li>
                    <li 
                        nz-menu-item
                        class="menu-buttons"
                        (click)="signOut()">
                        <i 
                            nz-icon 
                            class="menu-icons"
                            nzType="mdi:logout">
                        </i>
                        <span class="menu-titles">Logout</span>
                    </li>
                </ul>
            </nz-dropdown-menu>    
        </div>
    </div>
</header>
<!-- Sign In Template-->
<app-sign-in
    [setIsSignInVisible]="isSignInVisible"
    (isSignInVisibleChange)="isSignInVisibleChange($event)"
    (isSignUpVisibleChange)="isSignUpVisibleChange($event)">
</app-sign-in>
<!-- Sign Up Template-->
<app-sign-up
    [setIsSignUpVisible]="isSignUpVisible"
    (isSignUpVisibleChange)="isSignUpVisibleChange($event)">
</app-sign-up>